Update Custom Object Schema or standard object’s like contact, opportunity, business searchable fields. To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0
PUT https://services.leadconnectorhq.com/objects/{key}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación .
Version
string
default: "2021-07-28"
required
Versión de la API.
Path parameters
key
string
default: "custom_objects.pet"
required
key of the custom or standard object. For custom objects, the key must include the prefix “custom_objects.”. This key can be found on the Object Details page under Settings in the UI.
Body
This is how your custom object will be displayed
description
string
default: "These are non vaccinated pets"
Pet Object`s description
locationId
string
default: "632c34b4c9b7da3358ac9891"
required
account id
Searchable Fields: Provide the field key of your object that you want to search on, using the format (custom_object.<object_name>.<field_key>).
Respuestas
200 - Successful response
id
string
default: "661c06b4ffde146bdb469442"
required
id of the custom / standard object schema
standard
boolean
default: "False"
required
false in case of custom objects and true in case of standard objects like contacts and opportunities
key
string
default: "custom_objects.pet"
required
key that would be used to refer the custom / standard Object internally (lowercase + underscore_separated). For custom objects, ‘custom_objects.’ would be added as prefix by default
This is what your custom / standard object will be called. These labels will be used to display your custom object on the UI
description
string
default: "These are non vaccinated pets"
Custom / Standard Object Descriptions for example , Pet Object`s description
locationId
string
default: "Q9DT3OAqEXDLYuob1G32"
required
account’s id
primaryDisplayProperty
string
default: "custom_objects.pet.name"
required
Primary property for the custom / standard Object. This would be used as primary data when rendering the UI. ‘custom_objects.{{object_key}} or business.{{object_key}} (for company)’ would be added as prefix by default for all the custom / standard objects
Date and time when the object was added
Date and time when the object was last updated
{
"object" : {
"id" : "661c06b4ffde146bdb469442" ,
"standard" : false ,
"key" : "custom_objects.pet" ,
"labels" : {
"singular" : "Pet" ,
"plural" : "Pets"
},
"description" : "These are non vaccinated pets" ,
"locationId" : "Q9DT3OAqEXDLYuob1G32" ,
"primaryDisplayProperty" : "custom_objects.pet.name" ,
"dateAdded" : "2024-01-15T10:30:00Z" ,
"dateUpdated" : "2024-01-15T10:30:00Z" ,
"type" : "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
}
422 - Unprocessable Entity
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/objects/YOUR_key' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"description": "These are non vaccinated pets",
"locationId": "632c34b4c9b7da3358ac9891",
"searchableProperties": [
"custom_objects.mad.mad",
"custom_objects.mad.record_1",
"custom_objects.mad.nn"
]
}'
const response = await fetch ( 'https://services.leadconnectorhq.com/objects/YOUR_key' , {
method: 'PUT' ,
headers: {
Authorization: `Bearer ${ process . env . LEADWAY_TOKEN } ` ,
Version: '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
body: JSON . stringify ({ "labels" : { "singular" : "Pet" , "plural" : "Pets" }, "description" : "These are non vaccinated pets" , "locationId" : "632c34b4c9b7da3358ac9891" , "searchableProperties" : [ "custom_objects.mad.mad" , "custom_objects.mad.record_1" , "custom_objects.mad.nn" ]}),
});
const data = await response . json ();
import os, requests
response = requests.request(
'PUT' ,
'https://services.leadconnectorhq.com/objects/YOUR_key' ,
headers = {
'Authorization' : f "Bearer { os.environ[ 'LEADWAY_TOKEN' ] } " ,
'Version' : '2021-07-28' ,
'Content-Type' : 'application/json' ,
},
json = { "labels" : { "singular" : "Pet" , "plural" : "Pets" }, "description" : "These are non vaccinated pets" , "locationId" : "632c34b4c9b7da3358ac9891" , "searchableProperties" : [ "custom_objects.mad.mad" , "custom_objects.mad.record_1" , "custom_objects.mad.nn" ]},
)
data = response.json()
<? php
$ch = curl_init ( 'https://services.leadconnectorhq.com/objects/YOUR_key' );
curl_setopt_array ( $ch , [
CURLOPT_RETURNTRANSFER => true ,
CURLOPT_CUSTOMREQUEST => 'PUT' ,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv ( 'LEADWAY_TOKEN' ),
'Version: 2021-07-28' ,
'Content-Type: application/json' ,
],
CURLOPT_POSTFIELDS => json_encode ({ 'labels' : { 'singular' : 'Pet' , 'plural' : 'Pets' }, 'description' : 'These are non vaccinated pets' , 'locationId' : '632c34b4c9b7da3358ac9891' , 'searchableProperties' : [ 'custom_objects.mad.mad' , 'custom_objects.mad.record_1' , 'custom_objects.mad.nn' ]}),
]);
$data = json_decode ( curl_exec ( $ch ), true );